<?php
/*  Copyright (c) 2015 - 2021 ArcLindon LLC, All Rights Reserved
 *  $Id: citem_admin_formatsources.php 499 2021-10-16 13:35:05Z bill $
 *
 *  Changes:
 *  2021/10/13  bherndon    v13.0.0.9
 *  2021/09/07  bherndon    PHP-8 compatibility
 *  2019/11/11  bherndon    v12.0.0.8d
 *  2019/11/02  bherndon    Upated processing to support cached format specs--
 *                          wiping out cached variable to force reload on save.
 *  2017/02/09  bherndon    v11.1.0.7
 *  2017/02/09  bherndon    Now supporting variable extensions path
 *  2015/06/27  bherndon    Created
 */
include("begin.php");
include("adminlib.php");
$textpart = "sources";
//include("getlang.php");
include("$mylanguage/admintext.php");

$admin_login = 1;
include("checklogin.php");
include("version.php");
include($cms['tngpath'] . "$extspath/citem_lib_citation.php");
include($cms['tngpath'] . "$extspath/citem_settings.php");
include($cms['tngpath'] . "$extspath/arcl_lib_webparts.php");

if( !$allow_add ) {
	$message = $admtext['norights'];
	header( "Location: admin_login.php?message=" . urlencode($message) );
	exit;
}

if( $assignedtree )
	$wherestr = "WHERE gedcom = \"$assignedtree\"";
else
	$wherestr = "";

$helplang = findhelp("sources_help.php");

$flags['tabs'] = $tngconfig['tabs'];
tng_adminheader( $admtext['addnewsource'], $flags );
?>
<script type="text/javascript" src="js/selectutils.js"></script>
<script language="javascript" type="text/javascript">
function validateForm( ) {
	var rval = true;

	document.form1.sourceID.value = TrimString( document.form1.sourceID.value );
	if( document.form1.sourceID.value.length == 0 ) {
		alert("<?php echo $admtext['entersourceid']; ?>");
		return false;
	}
	return rval;
}	

var selecttree = "<?php echo $admtext['selecttree']; ?>";
</script>
</head>

<body background="img/background.gif" onload="generateID('source',document.form1.sourceID,document.form1.tree1);">

<?php
	$sourcetabs[0] = array(1,"admin_sources.php",$admtext['search'],"findsource");
	$sourcetabs[1] = array($allow_add,"admin_newsource.php",$admtext['addnew'],"addsource");
	$sourcetabs[2] = array($allow_edit && $allow_delete,"admin_mergesources.php",$admtext['merge'],"merge");
  $sourcetabs[3] = array(1,"citem_admin_formatsources.php","Format","format");
	$innermenu = "<a href=\"#\" onclick=\"return openHelp('$helplang/sources_help.php#format');\" class=\"lightlink\">{$admtext['help']}</a>";
	$menu = doMenu($sourcetabs,"format",$innermenu);
	echo displayHeadline($admtext['sources'] . " &gt;&gt; " . "Format","img/sources_icon.gif",$menu,$message);
?>

<?php
$message = null;
$content = null;
$treset = "this.form.elements['name'].value=''";
$lreset = "this.form.elements['list'].value='_none'";
$post = isset($_POST['action']);
if ($post) {
  // we have a post - remember to sanitize input paths
  $path = ($_POST['list'] == '_none')
          ? $_POST['name']
          : $citem_cfg_dir_rel . '/' . $_POST['list'];
  if ($_POST['action'] == 'Load') {
    // load - from anywhere
    $file = fopen($path, "r");
    if ($file) {
      $content = fread($file, filesize($path));
      fclose($file);
      $fname = $path;
      $message = "Loaded: $path.";
    } else {
      $message = "No such file: $path.";
    }
  } elseif ($_POST['action'] == 'Save') {
    // save - basically not anywhere but the pre-set directory
    $content = $_POST['content'];
    $path = $citem_cfg_dir_rel . '/' . basename($path);
    $file = fopen($path, "w");
    fwrite($file, $content);
    fclose($file);
    $fname = $path;
    $message = "Saved: $path.";
  } else {
    $message = "Unsupported operation.";
    $path = $citem_config_path;
    $fname = $path;
  } 
  // prep the display vars
  $cfg_list = scandir($citem_cfg_dir_rel);
  $trim_list = array_slice($cfg_list, 2);
  $web_select = web_dropdown('list', $trim_list, 'Select', null, null, 
                             'onchange', $treset);
  
  // force a delayed format spec reload
  $_SESSION[$citem_const_spec] = null;
} else {
  // assume we have a get - prep the display vars
  $cfg_list = scandir($citem_cfg_dir_rel);
  $trim_list = array_slice($cfg_list, 2);
  $web_select = web_dropdown('list', $trim_list, 'Select', null, null, 
                             'onchange', $treset);
  $path = $citem_config_path;
  $fname = $path;
  $file = fopen($path, "r");
  if ($file) {
    $content = fread($file, filesize($path));
    fclose($file);
  } else {
    $message = "No such file: $path.";
  }
}
?>

<table width="100%" border="0" cellpadding="10" cellspacing="2" class="lightback">
  <tr class="databack">
    <td class="tngshadow">
      <form action="citem_admin_formatsources.php" method="post" name="form1">
        <textarea name="content" cols="72" rows="32"><?php echo $content; ?></textarea>
        <br/>
        <span class="normal" style="font-style: italic;">Viewing: <?php echo realpath($fname); ?></span>
        <p>
          <span class="normal">File to load/save:&nbsp;&nbsp;</span>
          <?php echo $web_select; ?>&nbsp;&nbsp;
          <input name="name" value="<?php echo $fname; ?>" 
                 onchange="<?php echo $lreset; ?>"/>
          <br/><br/>
          <input type="submit" name="action" value="Load"/>
          <input type="submit" name="action" value="Save"/>
	        <input type="button" name="cancel" value="<?php echo $text['cancel']; ?>" 
	               onClick="window.location.href='admin_sources.php';">
        </p>
<?php
      if ($message) {
        echo "        <p>\n";
        echo "          <span class=\"normal\" style=\"color: red; font-style: italic;\">";
        echo $message;
        echo "</span>\n";
        echo "        </p>\n";
      }
?>
      </form>         
    </td>
  </tr>
  <tr class="databack">
    <td>
      <span class="normal">
        <p>Modifying the active Citation Master configuration file is done in
          the Mod Manager.
          <br/>
          <a href="admin_modhandler.php">Click here to change the configuration file.</a>
        </p>
    </td>
  </tr>
</table>


<?php echo "<div align=\"right\"><span class=\"normal\">$tng_title, v.$tng_version</span></div>"; ?>
</body>
</html>