<?php
/*  Copyright (c) 2014 - 2021 ArcLindon LLC, Some Rights Reserved**
 *  $Id: citem_config_cmos.php 499 2021-10-16 13:35:05Z bill $
 *
 *  ** Users are granted an non-exclusive, non-transferable license 
 *     to copy, adapt, or modify this configuration file in support 
 *     of their personal, non-commercial use.  All other rights are 
 *     reserved.
 *
 *  Changes:
 *  2021/10/13  bherndon    v13.0.0.9
 *  2021/10/08  bherndon    Added shortened citation entries to demonstrate 
 *                          the new V9 feature
 *  2018/04/05  bherndon    v11.1.2.8
 *  2018/02/25  bherndon    Added a '_reference' format for CMoS and updated
 *                          the default format
 *  2017/02/09  bherndon    v11.1.0.7
 *  2015/06/15  bherndon    Created from egenea_cfg_citation.php, trunk@85
 */
                                                                               
/*  Citation Master Configuration File - Chicago Manual of Style  */
 
//  Format instructions for the CMoS 'Book' format
$CMoS_default_inst = array(
  'AUTH' => array(
    'separator' => 'period'
  ),
  'TITL' => array(
    'typeface' => 'italic',
    'separator' => 'period'
  ),
  'PUBL' => array(
    'separator' => 'comma'
  ),
  'PAGE' => array(
    'typeface' => 'plain'
  )
);

$CMoS_short_inst = array(
  'AUTH' => array(
    'typeface' => 'plain',
    'separator' => 'comma'
  ),
  'TITL' => array(
    'typeface' => 'italic',
    'separator' => 'comma'
  ),
  'PAGE' => array(
    'typeface' => 'plain'
  )
);

//  Format instructions for the URL page reference, CMoS 'URL' format
$CMoS_reference_inst = array(
  '_RAUT' => array(
    'separator' => 'period'
  ),
  '_RNAM' => array(
    'surround' => 'quotes',
    'separator' => 'period'
  ),
  '_RTTL' => array(
    'separator' => 'period'
  ),
  '_RURL' => array(
    'separator' => 'space'
  ),
  '_RCDT' => array(
    'format' => 'F j, Y',
    'prepend' => 'accessed ',
    'surround' => 'parens',
    'separator' => 'period'
  )
);

//  Just a variable declaration for the array of format specifications
$citem_format_spec;

/*  This is the default format specification.  You must have one of 
 *  these. If no other format specification matches your source type, 
 *  then this one gets used.  This specification uses the V9 feature 
 *  that supports different format instruction sets for different contexts, 
 *  citation (individuals and families) versus source (end-note or
 *  bibliographic).
 */
$citem_format_spec['_default'] = array(
  'name' => '',
  'comment' => 'Default format (CMoS for books).',
  'context' => 'all',
  'trailer' => 'period',
  'tags'    => array(
    '_source'   => $CMoS_default_inst,
    '_citation' => $CMoS_short_inst
  )
);

/*  This is the format specification for page references.  If you use the
 *  page reference feature you should have one of these.
 */
$citem_format_spec['_reference'] = array(
  'name' => '',
  'comment' => 'Reference format (CMoS for URLs).',
  'context' => 'all',
  'trailer' => 'period',
  'tags' => $CMoS_reference_inst
);

?>