<?php
/*  Copyright (c) 2021 ArcLindon LLC, Some Rights Reserved **
 *
 *  ** Users are granted an non-exclusive, non-transferable license 
 *     to copy, adapt, or modify this configuration file in support 
 *     of their personal, non-commercial use.  All other rights are 
 *     reserved.
 *
 *  Thanks to Kathy Kult (kk@ks-fam.net) for supplying her Citation Master 
 *  configuration file, upon which this example is based.
 *
 *  Changes:
 *  2021/10/13  bherndon    v13.0.0.9
 */

/*  Citation Master Configuration File - Evidence Explained Style */

$EE_default_inst = array(
  'AUTH' => array(
    'separator' => 'comma'
  ),
  'TITL' => array(
    'typeface' => 'plain',
    'separator' => 'comma'
  ),
  'PUBL' => array(
    'surround' => 'parens',
    'separator' => 'comma'
  ),
  'PAGE' => array(
    'typeface' => 'plain',
    'separator' => 'period'
  ),
  'NOTE' => array(
    'separator' => 'period'
  ),
  'QUAY' => array(
     'prepend' => '(Reliability: ',
     'append'  => ')'
  )
);

/*  URL page reference, EE 'URL' format */
$EE_reference_inst = array(
  '_RAUT' => array(
    'separator' => 'comma'
  ),
  '_RTTL' => array(
    'typeface' => 'italic',
  ),
  '_RURL' => array(
    'prepend' => '(',
    'separator' => 'colon'
  ),
  '_RCDT' => array(
    'format' => 'j F Y',
    'prepend' => 'accessed ',
    'append' => ')',
    'separator' => 'comma'
  ),
  '_RNAM' => array(
    /* Disabled the separator/surround so that the period will dislay inside the end-quote according to EE style 
    'separator' => 'period',
    'surround' => 'quotes' */
    'prepend' => '"',
    'append' => '."'
  )
);



// Just a variable declaration for the array of format specifications
$citem_format_spec;

/*  This is the default format specification.  You must have one of
 *  these. If no other format specification matches your source type,
 *  then this one gets used.
 */


$citem_format_spec['_default'] = array(
  'name' => '',
  'comment' => 'Default Evidence Explained format.',
  'context' => 'all',
  'trailer' => 'period',
  'tags' => $EE_default_inst
);


/*  This is the format specification for page references.
 *  If you use the page reference feature you should have one of these.
 */
$citem_format_spec['_reference'] = array(
  'name' => '',
  'comment' => 'Reference format (EE for URLs).',
  'context' => 'all',
/* disabling trailer so that period displays inside of the ending quote mark.
  'trailer' => 'period', */
  'tags' => $EE_reference_inst
);

?>