<?php
/*  Copyright (c) 2014 - 2018 ArcLindon LLC, Some Rights Reserved**
 *  $Id: citem_config_ieee.php 499 2021-10-16 13:35:05Z bill $
 *
 *  ** Users are granted an non-exclusive, non-transferable license 
 *     to copy, adapt, or modify this configuration file in support 
 *     of their personal, non-commercial use.  All other rights are 
 *     reserved.
 *
 *  Changes:
 *  2021/10/13  bherndon    v13.0.0.9
 *  2018/04/05  bherndon    v11.1.2.8
 *  2018/03/02  bherndon    Modified _default instructions set to add the 
 *                          proper formatting for publication dates
 *  2018/02/28  bherndon    Added formatting instrucitons for page references
 *  2017/02/09  bherndon    v11.1.0.7
 *  2015/06/15  bherndon    Created from egenea_cfg_citation.php, trunk@85
 */
                                                                               
/*  Citation Master Configuration File - IEEE Style */
 
//  Format instructions for the IEEE 'Book' format
$IEEE_default_inst = array(
  'AUTH' => array(
    'separator' => 'comma'
  ),
  'TITL' => array(
    'typeface' => 'italic',
    'separator' => 'period'
  ),
  'PUBL' => array(
    'typeface' => 'plain',
    'separator' => 'comma'
  ),
  'DATE' => array(
    'format' => 'Y'
  ),
);

//  Format instructions for the URL page reference, IEEE 'URL' format
$IEEE_reference_inst = array(
  '_RAUT' => array(
    'separator' => 'period'
  ),
  '_RNAM' => array(
    'separator' => 'comma',
    'surround' => 'quotes',
  ),
  '_RTTL' => array(
    'separator' => 'comma',
  ),
  '_RCDT' => array(
    'format' => 'F j, Y',
    'append' => '. [Online]',
    'separator' => 'period'
  ),
  '_RURL' => array(
    'prepend' => 'Available: '
  )
);

//  Just a variable declaration for the array of format specifications
$citem_format_spec;

/*  This is the default format specification.  You must have one of 
 *  these. If no other format specification matches your source type, 
 *  then this one gets used.
 */
$citem_format_spec['_default'] = array(
  'name' => '',
  'comment' => 'Default Citation Master format (IEEE for books).',
  'context' => 'all',
  'trailer' => 'period',
  'tags' => $IEEE_default_inst
);

/*  This is the format specification for page references.  If you use the
 *  page reference feature you should have one of these.
 */
$citem_format_spec['_reference'] = array(
  'name' => '',
  'comment' => 'Reference format (IEEE for URLs).',
  'context' => 'all',
  'trailer' => '',
  'tags' => $IEEE_reference_inst
);

?>