<?php
/*  Copyright (c) 2015 - 2021 ArcLindon LLC, Some Rights Reserved**
 *  $Id: citem_options.php 499 2021-10-16 13:35:05Z bill $
 *
 *  ** Users are granted an non-exclusive, non-transferable license 
 *     to copy, adapt, or modify this configuration file in support 
 *     of their personal, non-commercial use.  All other rights are 
 *     reserved.
 *
 *  Changes:
 *  2021/10/13  bherndon    v13.0.0.9
 *  2021/09/11  bherndon    Option to show/hide thumbnails in citations
 *  2019/02/28  bherndon    v12.0.0.8c
 *  2019/02/28  bherndon    Split into citem_options and citem_settings
 *  2018/09/08  bherndon    v11.1.2.8b
 *  2018/04/28  bherndon    v11.1.2.8a
 *  2018/04/05  bherndon    v11.1.2.8
 *  2018/03/30  bherndon    Switched to booleans for most logic controlling vars
 *  2018/03/26  bherndon    Variables for controlling turning on/off CM 
 *                          features for citations and sources
 *  2018/02/25  bherndon    Added citem_author, $citem_display_refs, and 
 *                          $citem_sourceid
 *  2017/12/23  bherndon    v11.1.2.7
 *  2017/02/09  bherndon    v11.1.0.7
 *  2016/03/20  bherndon    v11.0.0.6
 *  2016/02/13  bherndon    v10.1.0.6 (moved forward)
 *  2016/02/10  bherndon    Added flag for short title substitution
 *  2016/01/28  bherndon    Added a version variable
 *  2015/07/15  bherndon    v10.1.0.4
 *  2015/06/27  bherndon    Created
 *
 *  ** Do not delete this line **
 */

/*  Citation Master Options File */
 
//  The TNG custom event tag that holds source types.  (This would usually
//  be determined by your genealogy software during GEDCOM export.)
$citem_type_tag = "TYPE";

//  Path of the Citation Master configuration file currently in use 
//  (relative to your TNG installation root).
$citem_config_path = "mods/cite_master/config/citem_config_cmos.php";

//  Indicates that short titles should be used in lieu of titles when the 
//  latter is empty
$citem_use_short = "no";

//  Indicates that Citation Master should modify sources
$citem_modify_sources = true;

//  Indicates that Citation Master should modify citations
$citem_modify_citations = true;

//  Indicates that a page reference should be displayed by getperson.php
$citem_display_pageref = true;

//  Indicates that source thumbnails should be shownn in citations
$citem_show_thumbnails = true;

//  Placeholder for the author
$citem_author = "Your Name Here";

//  Source ID for additional information used in page references
$citem_sourceid = "S1";
?>